var fs;

fs = require("fs-extra");

module.exports = async(file, args) => {
  if (!file.buffer) {
    await fs.copy(file.path, file.target);
    if (file.sync) {
      return (await Promise.all([file.path, file.target].map((filename) => {
        return fs.utimes(filename, file.atime / 1000, file.mtime / 1000);
      })));
    }
  }
};
